#loading-spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border-top-color: #3498db;
    animation: spin 1s ease infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

/* Adiciona sombra no topo dos grupos */
.doc-group {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.3);
    margin-bottom: 40px; 
    border-radius: 5px; /* Cantos arredondados */
    overflow: hidden; /* Garante que o conteúdo fique dentro do contêiner */
}

/* Remove bordas internas da tabela */
.datatables {
    border-collapse: separate;
    border-spacing: 0; /* Remove espaçamento extra entre células */
}

.datatables th, .datatables td {
    border: none; /* Remove bordas internas */
}

/* Espaçamento para itens internos */
.doc-group table tr td {
    padding: 8px 16px;
}

.doc-group::before {
    content: ''; /* Cria um espaço visual */
    display: block; /* Comportamento de bloco para ocupar espaço */
    height: 20px; /* Define a altura do espaço */
}

.card-request {
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-bottom: 16px;
}
.card-request .card-body {
    padding: 16px;
}
.card-request .form-check-label {
    font-weight: bold;
    font-size: 14px;
}
.card-request .row {
    margin-bottom: 8px;
}
.card-request .row:last-child {
    margin-bottom: 0;
}
.card-request .status-badge {
    background-color: #f0f0f0;
    padding: 4px 8px;
    border-radius: 12px;
    font-size: 12px;
    font-weight: bold;
}
.card-request .observations {
    width: 200px;
    margin-left: 16px;
}
.card-request .checkbox-icon {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}
.card-request .checkbox-icon input {
    display: none;
}
.card-request .checkbox-icon .icon {
    font-size: 18px;
    color: #6c757d; /* Cinza (inativo) */
}
.card-request .checkbox-icon .icon.approve.active {
    color: #28a745; /* Verde (ativo) */
}
.card-request .checkbox-icon .icon.reject.active {
    color: #dc3545; /* Vermelho (ativo) */
}
.card-request .checkbox-icon input:checked + .icon {
    font-weight: bold;
}
.card-request textarea {
    resize: none; /* Impede o redimensionamento do campo de observações */
}

.form-check-input.select-request {
width: 18px; /* Largura personalizada */
height: 18px; /* Altura personalizada */
margin-top: -1px;
}